org.eclipse.net4j.util.ui.views

## Class ContainerItemProvider.ContainerNode

- java.lang.Object
- - org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode
  - - org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractContainerNode
    - - org.eclipse.net4j.util.ui.views.ContainerItemProvider.ContainerNode

- All Implemented Interfaces:
    ContainerItemProvider.Node
  Enclosing class:
    ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>

      public class ContainerItemProvider.ContainerNode
      extends ContainerItemProvider.AbstractContainerNode

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractContainerNode

      `containerListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerNode(ContainerItemProvider.Node parent, IContainer<java.lang.Object> container)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `java.lang.Object` | `getElement()`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractContainerNode

      `createChildren, disposeChildren, fillChildren, getChildren, getContainer, hasChildren, onAdded, onRemoved`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode

      `addChild, checkNotDisposed, getParent, getTreePath, isDisposed, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerNode

          public ContainerNode(ContainerItemProvider.Node parent,
                               IContainer<java.lang.Object> container)

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `ContainerItemProvider.Node`
      Overrides:
        `dispose` in class `ContainerItemProvider.AbstractContainerNode`

    - #### getElement

          public java.lang.Object getElement()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html